POST api/Survey/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
SurveyDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| surveyId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"surveyId": 1,
"commentGuid": "7542bf71-2ee4-4c51-9b6b-6b09a501304f",
"accountGuid": "f477a8f8-a405-48c9-b29c-bdcc089ec311"
}
text/plain, application/octet-stream
Sample:
{"surveyId":1,"commentGuid":"7542bf71-2ee4-4c51-9b6b-6b09a501304f","accountGuid":"f477a8f8-a405-48c9-b29c-bdcc089ec311"}
application/xml, text/xml
Sample:
<SurveyDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>f477a8f8-a405-48c9-b29c-bdcc089ec311</accountGuid> <commentGuid>7542bf71-2ee4-4c51-9b6b-6b09a501304f</commentGuid> <surveyId>1</surveyId> </SurveyDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<SurveyDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>f477a8f8-a405-48c9-b29c-bdcc089ec311</accountGuid><commentGuid>7542bf71-2ee4-4c51-9b6b-6b09a501304f</commentGuid><surveyId>1</surveyId></SurveyDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.